import { DomainChart } from "./DomainChart";
import { IEnumerable$1, Type } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { HorizontalAlignment } from "igniteui-angular-core";
import { VerticalAlignment } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { Axis } from "./Axis";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { TitleSettings } from "./TitleSettings";
import { DataSeries } from "igniteui-angular-core";
import { XamDataChart } from "./XamDataChart";
import { CategoryAxisBase } from "./CategoryAxisBase";
/**
 * @hidden
 */
export declare abstract class XYChart extends DomainChart {
    static $t: Type;
    provideContainer(a: any): void;
    protected gj(): void;
    protected g4(a: string, b: any, c: any): void;
    private ib;
    id: (item: any) => string;
    private ic;
    ie: (item: any) => string;
    private iq;
    js: number;
    private is;
    ju: number;
    private ir;
    jt: number;
    private ip;
    jr: number;
    private i7;
    j9: number;
    private i9;
    kb: number;
    private i8;
    ka: number;
    private i6;
    j8: number;
    private nl;
    nz: Brush;
    private ns;
    n6: Brush;
    private i1;
    j3: number;
    private ji;
    kk: number;
    private i0;
    j2: number;
    private jh;
    kj: number;
    private i3;
    j5: number;
    private jk;
    km: number;
    private i2;
    j4: number;
    private jj;
    kl: number;
    private iz;
    j1: number;
    private jg;
    ki: number;
    private nr;
    n5: Brush;
    private ny;
    oc: Brush;
    protected g5(a: string, b: any, c: any): void;
    private kr;
    k8: string;
    private ku;
    ma: string;
    private kt;
    lw: string;
    private kw;
    my: string;
    private m4;
    private m6;
    protected hk(a: DataSeries): void;
    protected abstract h9(): Axis;
    protected abstract ia(): Axis;
    protected m7(a: (arg1: Axis) => void): void;
    protected m8(a: (arg1: Axis) => void, b: string): void;
    protected nc(a: (arg1: Axis) => void, b: boolean): void;
    protected nb(a: (arg1: Axis) => void): void;
    protected na(a: (arg1: TitleSettings) => void): void;
    protected ne(a: (arg1: TitleSettings) => void): void;
    protected nd(a: (arg1: AxisLabelSettings) => void): void;
    protected m9(a: (arg1: AxisLabelSettings) => void): void;
    jl(a: number): number;
    jn(a: number): number;
    jm(a: number): number;
    jo(a: number): number;
    protected hi(a: XamDataChart): void;
    static kx(a: CategoryAxisBase, b: IEnumerable$1<DataSeries>): string;
    protected ge(a: XamDataChart): void;
    protected m3(a: Axis): void;
    protected m5(a: Axis): void;
    protected gb(): void;
    protected m1(a: Axis, b: (arg1: AxisLabelSettings) => void): void;
    protected m2(a: Axis, b: (arg1: TitleSettings) => void): void;
    protected g3(a: string, b: any, c: any): void;
    private kn;
    kp: any;
    private ko;
    kq: any;
    private nm;
    n0: Brush;
    private nt;
    n7: Brush;
    private it;
    jv: number;
    private ja;
    kc: number;
    private iu;
    jw: number;
    private jb;
    kd: number;
    private no;
    n2: Brush;
    private nv;
    n9: Brush;
    private np;
    n3: Brush;
    private nw;
    oa: Brush;
    private iv;
    jx: number;
    private jc;
    ke: number;
    private iw;
    jy: number;
    private jd;
    kf: number;
    private nq;
    n4: Brush;
    private nx;
    ob: Brush;
    private ix;
    jz: number;
    private je;
    kg: number;
    private ks;
    ln: string;
    private kv;
    mp: string;
    private nn;
    n1: Brush;
    private nu;
    n8: Brush;
    private io;
    jq: number;
    private i5;
    j7: number;
    private im;
    jp: number;
    private i4;
    j6: number;
    private iy;
    j0: number;
    private jf;
    kh: number;
    private ii;
    ik: boolean;
    private ij;
    il: boolean;
    private ng;
    nj: HorizontalAlignment;
    private of;
    oi: VerticalAlignment;
    private nf;
    ni: HorizontalAlignment;
    private nh;
    protected get_nk(): HorizontalAlignment;
    protected set_nk(a: HorizontalAlignment): void;
    nk: HorizontalAlignment;
    private od;
    og: VerticalAlignment;
    private oe;
    oh: VerticalAlignment;
    private oj;
    ol: Visibility;
    private ok;
    om: Visibility;
    private ig;
    protected get_ih(): AxisLabelsLocation;
    protected set_ih(a: AxisLabelsLocation): void;
    ih: AxisLabelsLocation;
}
